? work
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/misc/freeswitch-pizzademo/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- Makefile	14 Aug 2010 19:31:02 -0000	1.1
+++ Makefile	9 Dec 2010 19:23:18 -0000
@@ -6,30 +6,37 @@
 #
 
 PORTNAME=	freeswitch-pizza
-PORTVERSION=	1.0.6
+PORTVERSION=	201044
 CATEGORIES=	misc
-MASTER_SITES=	http://files.freeswitch.org/
+MASTER_SITES=	ftp://ftp.secure-computing.net/pub/freeswitch/ \
+		ftp://ftp2.secure-computing.net/pub/freeswitch/ \
+		http://files.freeswitch.org/:2
 DISTFILES=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz \
-		pizza_gram.tar.gz \
-		pizza_sounds.tar.gz
-#EXTRACT_ONLY=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz
+		pizza_gram.tar.gz:2 \
+		pizza_sounds.tar.gz:2
+DIST_SUBDIR=	${BASE_PORTNAME}
 
 MAINTAINER=	r.neese@gmail.com
 COMMENT=	FreeSwitch pizza demo
 
-RUN_DEPENDS=	${LOCALBASE}/bin/freeswitch:${PORTSDIR}/net/freeswitch-core
+RUN_DEPENDS=    ${LOCALBASE}/bin/freeswitch:${PORTSDIR}/net/freeswitch-core \
+		${LOCALBASE}/share/${BASE_PORTNAME}/sounds/.freeswitch-sounds:${PORTSDIR}/audio/freeswitch-sounds
 
 NO_BUILD=	yes
 
 BASE_PORTNAME=	freeswitch
 
-WRKSRC=		${WRKDIR}/${BASE_PORTNAME}-${PORTVERSION}/scripts/javascript
+WRKSRC=	${WRKDIR}/${BASE_PORTNAME}-${PORTVERSION}/scripts/javascript
+
+pre-install:
+	@${REINPLACE_CMD} -r 's|include("js_modules/SpeechTools.jm")|include("javascript/js_modules/SpeechTools.jm")|g' ${WRKSRC}/ps_pizza.js
+	@${REINPLACE_CMD} -r 's|asr.setAudioBase("/root/pizza)|asr.setAudioBase("${PREFIX}/share/${BASE_PORTNAME}/sounds/en/us/callie/pizza/8000")|g' ${WRKSRC}/ps_pizza.js
 
 do-install:
 	@cd ${WRKDIR}; ${FIND} *.gram \
 		| ${CPIO} -pdm -R freeswitch:freeswitch ${PREFIX}/etc/${BASE_PORTNAME}/grammar/
 	@cd ${WRKDIR}; ${FIND} pizza \
-		| ${CPIO} -pdm -R freeswitch:freeswitch ${PREFIX}/share/${BASE_PORTNAME}/sounds/
+		| ${CPIO} -pdm -R freeswitch:freeswitch ${PREFIX}/share/${BASE_PORTNAME}/sounds/en/us/callie/pizza/8000
 	${TOUCH} ${PREFIX}/share/${BASE_PORTNAME}/sounds/.pizza
 	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/scripts/javascript
 	@cd ${WRKSRC}; ${FIND} ps_pizza.js \
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/misc/freeswitch-pizzademo/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	14 Aug 2010 19:31:02 -0000	1.1
+++ distinfo	9 Dec 2010 19:23:18 -0000
@@ -1,9 +1,6 @@
-MD5 (freeswitch-1.0.6.tar.gz) = 388effee587887a81fe7f411b7350590
-SHA256 (freeswitch-1.0.6.tar.gz) = 5610f478307b5c06d38e1ea4029298142c2960e426c3297378857d8734770215
-SIZE (freeswitch-1.0.6.tar.gz) = 36400963
-MD5 (pizza_gram.tar.gz) = dc10f21c8d6bd708b7deae9f18a82b92
-SHA256 (pizza_gram.tar.gz) = e713406834ba40fe07c69b84f042fcb27493c15bc6b51133418527bc7a818027
-SIZE (pizza_gram.tar.gz) = 1053
-MD5 (pizza_sounds.tar.gz) = dacfde8879da8dd0e0542069e5cba6a2
-SHA256 (pizza_sounds.tar.gz) = 606f736625b7f331e219e10460029c8e0b0e58136feeddde976a0dcc68a97bef
-SIZE (pizza_sounds.tar.gz) = 1498679
+SHA256 (freeswitch/freeswitch-201044.tar.gz) = cea3583bcc1febc8b6ad85ca38c991d2d7319945784dd915834c1479b33bbd4b
+SIZE (freeswitch/freeswitch-201044.tar.gz) = 42320468
+SHA256 (freeswitch/pizza_gram.tar.gz) = e713406834ba40fe07c69b84f042fcb27493c15bc6b51133418527bc7a818027
+SIZE (freeswitch/pizza_gram.tar.gz) = 1053
+SHA256 (freeswitch/pizza_sounds.tar.gz) = 606f736625b7f331e219e10460029c8e0b0e58136feeddde976a0dcc68a97bef
+SIZE (freeswitch/pizza_sounds.tar.gz) = 1498679
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/misc/freeswitch-pizzademo/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	14 Aug 2010 19:31:02 -0000	1.1
+++ pkg-plist	9 Dec 2010 19:23:18 -0000
@@ -9,82 +9,83 @@
 etc/freeswitch/scripts/javascript/ps_pizza.js
 etc/freeswitch/scripts/javascript/js_modules/SpeechTools.jm
 share/freeswitch/sounds/.pizza
-share/freeswitch/sounds/pizza/ConfirmCustom.wav
-share/freeswitch/sounds/pizza/ConfirmDali.wav
-share/freeswitch/sounds/pizza/ConfirmDelivery.wav
-share/freeswitch/sounds/pizza/ConfirmExtraLarge.wav
-share/freeswitch/sounds/pizza/ConfirmHandTossed.wav
-share/freeswitch/sounds/pizza/ConfirmHawaiian.wav
-share/freeswitch/sounds/pizza/ConfirmLarge.wav
-share/freeswitch/sounds/pizza/ConfirmMeatLovers.wav
-share/freeswitch/sounds/pizza/ConfirmMedium.wav
-share/freeswitch/sounds/pizza/ConfirmNone.wav
-share/freeswitch/sounds/pizza/ConfirmPan.wav
-share/freeswitch/sounds/pizza/ConfirmPickle.wav
-share/freeswitch/sounds/pizza/ConfirmPickup.wav
-share/freeswitch/sounds/pizza/ConfirmRemove.wav
-share/freeswitch/sounds/pizza/ConfirmSmall.wav
-share/freeswitch/sounds/pizza/ConfirmSpeciality.wav
-share/freeswitch/sounds/pizza/ConfirmStartOver.wav
-share/freeswitch/sounds/pizza/ConfirmThin.wav
-share/freeswitch/sounds/pizza/ConfirmTotallyHumongous.wav
-share/freeswitch/sounds/pizza/ConfirmVegetarian.wav
-share/freeswitch/sounds/pizza/Crust.wav
-share/freeswitch/sounds/pizza/Dali.wav
-share/freeswitch/sounds/pizza/Delivery.wav
-share/freeswitch/sounds/pizza/ExtraLarge.wav
-share/freeswitch/sounds/pizza/GP-ARSO.wav
-share/freeswitch/sounds/pizza/GP-Adding.wav
-share/freeswitch/sounds/pizza/GP-ChangeSpec.wav
-share/freeswitch/sounds/pizza/GP-Crust.wav
-share/freeswitch/sounds/pizza/GP-DeliveryorTakeout.wav
-share/freeswitch/sounds/pizza/GP-Greeting.wav
-share/freeswitch/sounds/pizza/GP-NI.wav
-share/freeswitch/sounds/pizza/GP-NoDeliveryorTake-out.wav
-share/freeswitch/sounds/pizza/GP-Remove.wav
-share/freeswitch/sounds/pizza/GP-Size.wav
-share/freeswitch/sounds/pizza/GP-SpecialtyList.wav
-share/freeswitch/sounds/pizza/GP-SpecialtyorCustom.wav
-share/freeswitch/sounds/pizza/GP-Toppings.wav
-share/freeswitch/sounds/pizza/GP-Wanted-No.wav
-share/freeswitch/sounds/pizza/GP-WasThisRight.wav
-share/freeswitch/sounds/pizza/GP-With.wav
-share/freeswitch/sounds/pizza/GP-You_ordered_a.wav
-share/freeswitch/sounds/pizza/HandTossed.wav
-share/freeswitch/sounds/pizza/Hawaiian.wav
-share/freeswitch/sounds/pizza/Large.wav
-share/freeswitch/sounds/pizza/MeatLovers.wav
-share/freeswitch/sounds/pizza/Medium.wav
-share/freeswitch/sounds/pizza/Pan.wav
-share/freeswitch/sounds/pizza/Pickle.wav
-share/freeswitch/sounds/pizza/Pickup.wav
-share/freeswitch/sounds/pizza/Small.wav
-share/freeswitch/sounds/pizza/Thin.wav
-share/freeswitch/sounds/pizza/TotallyHumongous.wav
-share/freeswitch/sounds/pizza/Vegetarian.wav
-share/freeswitch/sounds/pizza/anchovies.wav
-share/freeswitch/sounds/pizza/artichoke.wav
-share/freeswitch/sounds/pizza/bellpepper.wav
-share/freeswitch/sounds/pizza/canadianbacon.wav
-share/freeswitch/sounds/pizza/everything.wav
-share/freeswitch/sounds/pizza/extracheese.wav
-share/freeswitch/sounds/pizza/garlic.wav
-share/freeswitch/sounds/pizza/goatcheese.wav
-share/freeswitch/sounds/pizza/ham.wav
-share/freeswitch/sounds/pizza/mango.wav
-share/freeswitch/sounds/pizza/mushroom.wav
-share/freeswitch/sounds/pizza/olives.wav
-share/freeswitch/sounds/pizza/onions.wav
-share/freeswitch/sounds/pizza/pepperoni.wav
-share/freeswitch/sounds/pizza/pickles.wav
-share/freeswitch/sounds/pizza/pineapple.wav
-share/freeswitch/sounds/pizza/pizza.wav
-share/freeswitch/sounds/pizza/salami.wav
-share/freeswitch/sounds/pizza/sausage.wav
-share/freeswitch/sounds/pizza/shrimp.wav
-share/freeswitch/sounds/pizza/spinach.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmCustom.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmDali.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmDelivery.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmExtraLarge.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmHandTossed.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmHawaiian.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmLarge.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmMeatLovers.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmMedium.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmNone.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmPan.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmPickle.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmPickup.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmRemove.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmSmall.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmSpeciality.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmStartOver.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmThin.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmTotallyHumongous.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ConfirmVegetarian.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Crust.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Dali.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Delivery.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ExtraLarge.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-ARSO.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Adding.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-ChangeSpec.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Crust.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-DeliveryorTakeout.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Greeting.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-NI.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-NoDeliveryorTake-out.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Remove.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Size.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-SpecialtyList.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-SpecialtyorCustom.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Toppings.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-Wanted-No.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-WasThisRight.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-With.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/GP-You_ordered_a.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/HandTossed.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Hawaiian.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Large.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/MeatLovers.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Medium.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Pan.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Pickle.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Pickup.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Small.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Thin.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/TotallyHumongous.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/Vegetarian.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/anchovies.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/artichoke.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/bellpepper.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/canadianbacon.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/everything.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/extracheese.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/garlic.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/goatcheese.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/ham.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/mango.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/mushroom.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/olives.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/onions.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/pepperoni.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/pickles.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/pineapple.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/pizza.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/salami.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/sausage.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/shrimp.wav
+share/freeswitch/sounds/en/us/callie/pizza/8000/spinach.wav
 @dirrm etc/freeswitch/scripts/javascript/js_modules
 @dirrm etc/freeswitch/scripts/javascript
-@dirrm share/freeswitch/sounds/pizza
+@dirrm share/freeswitch/sounds/en/us/calli/pizza/8000
+@dirrm share/freeswitch/sounds/en/us/calli/pizza
 @exec mkdir etc/freeswitch/scripts/javascript
 @exec chown -R freeswitch:freeswitch etc/freeswitch/scripts
